#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "MaterialTypes.h"
#include "SubstanceOutputData.generated.h"

class USubstanceGraphInstance;

UCLASS(Blueprintable)
class SUBSTANCECORE_API USubstanceOutputData : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UObject* ConnectedObject;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FMaterialParameterInfo ParamInfo;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	USubstanceGraphInstance* ParentInstance;

	UPROPERTY(EditAnywhere)
	FGuid CacheGuid;

public:
	USubstanceOutputData();
};

FORCEINLINE uint32 GetTypeHash(const USubstanceOutputData) { return 0; }
